Description

The Print screen cmd in direct mode, it certainly works in AOZ itself when it runs (so its recognized) but seams not working in direct

mode at this time by the look if it.

ie:(Direct mode) If you type "Print screen" same as editor code it seams to understand that, but yet prints nothing in the console just

does CRLF.
Other times it also can give syntax error instead.

History

#1 - 08/03/2021 11:21 PM - Brian Flanagan

The Screen function is working properly in B9 in the browser, AOZ Viewer, and in Direct mode.

Check and see if you were switching screens.

If you switched screens, but did not bring the screen to front, you would not see the result.

Here's some sample code to illustrate:

#manifest:"aoz"
#fullScreen:true
#splashScreen: false

Screen Open 0,1920,1080, 32, Lowres
Screen Open 1,1920,1080,32,Lowres

Scr = 0
Do
Locate 0,0
Screen Scr : Screen To Front Scr
Print "Scr:";Scr
Print "Screen:";Screen
Wait Key
Inc Scr : If Scr > 1 Then Scr = 0
Wait Vbl
Loop

So... when you try it in direct mode, make sure you do it like this:

Screen 1

Screen To Front 1
Print Screen
Screen 0

Screen To Front 0
Print Screen

Let us know if you still have problems.

#2 - 08/03/2021 11:41 PM - Brian Flanagan

- Status changed from New to Feedback

#3 - 09/07/2021 06:09 AM - Francois Lionet

Seems to work with the new console...

#4 - 09/08/2021 08:33 AM - Brian Flanagan

- Status changed from Feedback to Resolved
- Target version changed from none to 1.0.0 (B10) u16

...for me too, Francois. It was working in B9 as well.
| think Malcom will be happy once B10 is released. :-)
